This is the audit log resource.
- Coro public API
- Coro API reference
- Search for a workspace
Coro Cybersecurity Public API (v1)
This is the Coro Cybersecurity platform API specification reference.
This section provides a complete reference listing for the Coro Cybersecurity REST API resource model.
This reference lists all the resources available through the Coro REST API.
Each section relates to a specific resource and provides its name, description, unique URI path, and the list of operations you can perform on it.
For each operation, you can find:
- A complete description of the action
- Request parameters
- A list of potential responses
- Security (authentication) requirements
The portal also provides code samples and examples for making requests in a number of programming languages, together with samples of the possible response bodies.
In addition to this, Coro provides a Try It feature where you can interact with the API directly through the portal. To use Try It, you'll need to first obtain Client ID and Secret credentials; for more information, see Authentication.
Request
Archive an inactive workspace using the specified workspace ID. When a workspace is archived, any cloud applications are disconnected, and Inbound Gateway and Network settings are cleared. Admin users can’t sign into archived workspaces, and archived workspaces don’t appear in an MSP's list of workspaces.
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/workspaces/archive
- Coro US API server target URLhttps://api.secure.coro.net/v1/workspaces/archive
- cURL
- JavaScript
- Node.js
curl -i -X PUT \
https://docs.coro.net/_mock/api/api-docs/v1/workspaces/archive \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/workspaces
- Coro US API server target URLhttps://api.secure.coro.net/v1/workspaces
- cURL
- JavaScript
- Node.js
curl -i -X GET \
https://docs.coro.net/_mock/api/api-docs/v1/workspaces \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'Success
The name displayed for the workspace from the user interface.
The maximum number of protected users allowed in the workspace.
The workspace admin portal users who receive notifications.
The unique identifier of the parent/channel workspace.
The email addresses of all admin portal users associated with the workspace.
The email addresses of all pending admins associated with the workspace.
The most recent login to the workspace by an admin user, in UNIX format, including milliseconds.
The date the workspace was created, in UNIX format, including milliseconds.
Defines the method and creator of the workspace.
- msp – Workspace created via the MSP portal by a user with the MSP role.
- internal – Workspace created via the MSP portal by a user with the Global role.
- api – Workspace provisioned through the API.
- direct – Workspace created via the self-service sign-up process.
{ "id": "corodevonmicrosoftcom_EZ90_b", "companyName": "Company Name", "displayName": "Child workspace", "type": "child", "domain": "child-workspace.com", "maxProtectedUsers": 25, "notificationsLevel": "none", "parentWorkspaceId": "coroparent_123", "protectedDevices": 0, "children": [ "string" ], "mainAdminEmail": "string", "adminEmails": [ "string" ], "pendingAdminEmails": [ "string" ], "lastAdminLoginTime": 1693562400000, "workspaceCreationTime": 1641009600000, "workspaceCreationType": "direct" }
Request
Create a new workspace. Each workspace represents a separate organization. Managed service providers (MSPs) can create child workspaces for each of their customers.
The name of the company for which the workspace is created.
The name displayed for the workspace from the user interface.
The type of workspace to be created. Types include: regular, for individual companies, channel for the MSP parent level, and child for MSP customers.
The email address of the admin portal user who manages the workspace.
The maximum number of protected users allowed in the workspace.
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/workspaces
- Coro US API server target URLhttps://api.secure.coro.net/v1/workspaces
- cURL
- JavaScript
- Node.js
curl -i -X POST \
https://docs.coro.net/_mock/api/api-docs/v1/workspaces \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u' \
-d '{
"companyName": "Company Name",
"displayName": "Child workspace",
"type": "child",
"domain": "child-workspace.com",
"adminEmail": "admin@child-workspace.com",
"maxProtectedUsers": 25,
"notificationsLevel": "all"
}'Created
The name displayed for the workspace from the user interface.
The maximum number of protected users allowed in the workspace.
The workspace admin portal users who receive notifications.
The unique identifier of the parent/channel workspace.
The email addresses of all admin portal users associated with the workspace.
The email addresses of all pending admins associated with the workspace.
The most recent login to the workspace by an admin user, in UNIX format, including milliseconds.
The date the workspace was created, in UNIX format, including milliseconds.
Defines the method and creator of the workspace.
- msp – Workspace created via the MSP portal by a user with the MSP role.
- internal – Workspace created via the MSP portal by a user with the Global role.
- api – Workspace provisioned through the API.
- direct – Workspace created via the self-service sign-up process.
{ "id": "corodevonmicrosoftcom_EZ90_b", "companyName": "Company Name", "displayName": "Child workspace", "type": "child", "domain": "child-workspace.com", "maxProtectedUsers": 25, "notificationsLevel": "none", "parentWorkspaceId": "coroparent_123", "protectedDevices": 0, "children": [ "string" ], "mainAdminEmail": "string", "adminEmails": [ "string" ], "pendingAdminEmails": [ "string" ], "lastAdminLoginTime": 1693562400000, "workspaceCreationTime": 1641009600000, "workspaceCreationType": "direct" }
Request
This endpoint can be used to search for a workspace which you have access to. The workspace header defines the parent workspace to search below.
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/workspaces/search
- Coro US API server target URLhttps://api.secure.coro.net/v1/workspaces/search
- cURL
- JavaScript
- Node.js
curl -i -X GET \
'https://docs.coro.net/_mock/api/api-docs/v1/workspaces/search?page=0&pageSize=50&search=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'{ "status": 400, "title": "Bad request", "errors": [ "Workspace: missing mandatory request header" ], "timestamp": "2022-08-21T19:44:32.351Z", "traceId": "a029fd656529d7dc" }